package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagC23BCreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagC23BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagC23BValue = mt767Creator.getExpiryTypeOfC();
        mt767Creator.set("23B", tagC23BValue);
    }
}
